/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};

/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {

/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId])
/******/ 			return installedModules[moduleId].exports;

/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			exports: {},
/******/ 			id: moduleId,
/******/ 			loaded: false
/******/ 		};

/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);

/******/ 		// Flag the module as loaded
/******/ 		module.loaded = true;

/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}


/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;

/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;

/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";

/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(0);
/******/ })
/************************************************************************/
/******/ ([
/* 0 */
/***/ (function(module, exports, __webpack_require__) {

	module.exports = __webpack_require__(1);


/***/ }),
/* 1 */
/***/ (function(module, exports) {

	// -----
	// STATE
	// -----

	var todos = [
	  'Do the dishes',
	  'Make the bed',
	  'Take out the trash'
	]

	// --------
	// ELEMENTS
	// --------

	var newTodoInput = document.getElementById('new-todo')
	var todosContainer = document.getElementById('todos')

	// ------
	// RENDER
	// ------

	function render () {
	  todosContainer.innerHTML = '<img class="skeleton" src="http://img0.imgtn.bdimg.com/it/u=4107224332,390132768&fm=27&gp=0.jpg"><ul>' +
	    todos.map(function (todo, index) {
	      return '<li class="item skeleton">' +
	        todo +
	        ' <button class="remove-todo" data-index="' + index + '">X</button>' +
	      '</li>'
	    }).join('') +
	  '</ul>'
	}
	render()

	// ------
	// EVENTS
	// ------

	newTodoInput.addEventListener('keyup', function (event) {
	  if (event.which === 13) {
	    todos.push(event.target.value)
	    newTodoInput.value = ''
	    render()
	  }
	})

	todosContainer.addEventListener('click', function (event) {
	  var clickedElement = event.target
	  if (clickedElement.className === 'remove-todo') {
	    todos.splice(clickedElement.dataset.index, 1)
	    render()
	  }
	})


/***/ })
/******/ ]);